Boundary controller HTTP API
App Token Service
Lists all App Tokens.
Query Parameters
scope_id string recursive boolean include_inactive boolean When true, revoked App Tokens are included in the results in addition to active tokens.
filter string You can specify that the filter should only return items that match. Refer to filter expressions for more information.
list_token string An opaque token that Boundary uses to continue an existing iteration or request updated items. If you do not specify a token, pagination starts from the beginning. To learn more about list pagination in Boundary, refer to list pagination.
page_size integer The maximum size of a page in this iteration. If you do not set a page size, Boundary uses the configured default page size. If the page_size is greater than the default page size configured, Boundary truncates the page size to this number.
Creates a single App Token.
Body Parameters
scope_id string The ID of the Scope in which this App Token was created.
name string Optional name for identification purposes.
description string Optional user-set description for identification purposes.
time_to_stale_seconds integer The number of seconds of inactivity after which this App Token is considered stale and may no longer be used.
time_to_live_seconds integer Input only. The number of seconds from creation until this App Token expires. Used only during Create to compute expire_time; never returned.
grants string[] grant_scopes string[] scope_id string Output only. The ID of the scope that was deleted.
deleted_at string Output only. The time at which the scope was deleted.
label string Optional label applied to a permission.
Gets a single App Token.
Path Parameters
id string Required
Deletes an App Token.
Path Parameters
id string Required
Revokes an App Token.
Path Parameters
id string Required